[gelöst] Migrationsassistent funktioniert nicht mehr

Bei der EA1 hats noch funktioniert; nun mit der EA2 nicht mehr:

Fehler:

Keine Verbindung hergestellt
Deine Zugangsdaten sind nicht korrekt. Bitte überprüfe sie und versuche es erneut.

Die Daten sind definitiv korrekt, auch ein neues Erzeugen des Schlüssels brachte nichts.

In shopware 6 keine Fehler, in 5.6.2 natürlich der 401, sonst aber nichts an Fehlermeldungen

2019-10-18 06:48:24	Error	207.180.219.123	401	GET /api/SwagMigrationEnvironment HTTP/1.0 GuzzleHttp/6.3.3 curl/7.52.1 PHP/7.3.10	670 SSL/TLS-Zugriff für Apache
2019-10-18 06:48:24	Error	207.180.219.123	401	GET /api/version HTTP/1.0		

Der neue „Update-Prüfer“ sagt folgendes:

 

Wir haben mit dem EA2 release auch den Connector für Shopware 5 geupdatet. Ist dieser bei Dir akutell? Nutzt du den?

Wichtig zu wissen ist auch, dass es Inkompatibilitäten zwischen der EA1 und der EA2 Version des Plugins gibt. Wir haben hier noch einiges gebrochen um nochmals Performance Verbesserungen zu erzielen. Es könnte also ein Grund sein. Wenn Du es verkraften kannst, würde ich Dir empfehlen einmal die 0.30 des Assistenten neu zu installieren und vorher komplett zu deinstallieren. Bitte beachten, dass die Mappings vom Alt zum Neu System dann verloren gehen. Wenn Du mit der EA2 also schon irgendwie produktiv bist, wäre es besser die swag_migration_mapping Tabelle einmal zu sichern und anschließend wieder die Daten einzuspielen. Aber Vorsicht, an der Tabelle wird auch die uuid der Connection gespeichert. Diese müsste nach erneutem erstellen der Verbindung für die ganze Mapping-Tabelle aktualisiert werden. Die Mapping-Tabelle erhält mit der  0.30 ebenfalls ein Update, also nur ein Insert der Daten machen.

Leider lassen sich diese Probleme in der Early Access Phase nicht so leicht umschiffen, da zum Einen im Shopware Core viel passiert, aber auch wir Konzepte noch ständig überdenken.

Connector neu runtergeladen 0.12.0

0.30 ist der Migrationsassi, der 6.0 Shop wurde komplett neu EA2 aufgesetzt mit neuer Datenbank.

Okay, dann muss das irgendwas anderes ggf. auch individuelles sein, da hier im Forum auch schon Leute berichten, dass es keine Probleme gibt. Das ist dann auf Entfernung nicht so einfach. 

Hast Du SSL aktiviert? 

ja, natürlich; Ich such mal weiter…

Falls SSL nicht aktiv ist, muss o.a. Einstellung auf Nein stehen. Sonst motzt er auch

Könnte es daran liegen, dass der 6er in einer Subdomain installiert ist ? Ich muss das mal in einer Hauptdomain probieren; Es gibt ja durchaus Probleme mit den Subdomains, wenn man sich die Beiträge hier so durchliest ?

Es startet auch jedesmal der Einrichtungs-Assistent, wenn der Browser neu gestartet wird… (cache und cookies sind gelöscht)

Das sollte zumindest keinen Einfluss auf die Erstellung der Verbindung zu 5 haben, aber vllt. gibt es da in der Platform noch eine Problematik die zu Problemen führt. 

Liegt leider auch nicht daran; Auch auf einer Hauptdomain kriege ich keine Verbindung mehr.

Allerdings bin ich ein bischen weiter: Im 5.6.2 Shop  gibt es jetzt vor dem 401 einen 404:

2019-10-18 18:23:44	Error	207.180.219.123	404	GET /backend/api/SwagMigrationEnvironment HTTP/1.0 GuzzleHttp/6.3.3 curl/7.52.1 PHP/7.3.10	5.48 K	SSL/TLS-Zugriff für Apache
2019-10-18 18:23:44	Error	207.180.219.123	404	GET /backend/api/SwagMigrationEnvironment HTTP/1.0 GuzzleHttp/6.3.3 curl/7.52.1 PHP/7.3.10	5.48 K	SSL/TLS-Zugriff für Apache
2019-10-18 18:23:45	Error	207.180.219.123	404	GET /backend/api/version HTTP/1.0

Rechte: Die entsprechenden Ordner 755 und die Dateien 644 (eigentlich wie immer)

Fehler nach langem Suchen gefunden (dank google):

in der htacess des 5.6.2 muss :

RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization},L]

aktiviert werden, es war auskommentiert.

1 Like

Hallo,

habe die htacess mit der zeile erweitert doch danach funktioniert der shop nicht mehr ?

Wo genau muss ich die zeile enfügen ?